Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit libsoup for openSUSE:Factory
Hello community,

here is the log from the commit of package libsoup for openSUSE:Factory checked
in at 2019-04-03 09:25:29
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/libsoup (Old)
and /work/SRC/openSUSE:Factory/.libsoup.new.25356 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "libsoup"

Wed Apr 3 09:25:29 2019 rev:113 rq:688444 version:2.66.0

Changes:
--------
--- /work/SRC/openSUSE:Factory/libsoup/libsoup.changes 2018-11-08
09:44:30.517379955 +0100
+++ /work/SRC/openSUSE:Factory/.libsoup.new.25356/libsoup.changes
2019-04-03 09:25:32.195745194 +0200
@@ -1,0 +2,58 @@
+Tue Mar 12 08:08:48 UTC 2019 - Bjørn Lie <bjorn.lie@xxxxxxxxx>
+
+- Update to version 2.66.0:
+ + Fix lookup for libxml2 on Visual Studio builds.
+- Add meson_test macro in check section, run tests during build.
+
+-------------------------------------------------------------------
+Tue Mar 5 09:20:22 UTC 2019 - Bjørn Lie <bjorn.lie@xxxxxxxxx>
+
+- Update to version 2.65.92:
+ + SoupConnection: Fix check for remote disconnectin idle state.
+ + Code cleanups and warnings fixed.
+ + Remove stale .pc.in files.
+ + Updated translations.
+
+-------------------------------------------------------------------
+Wed Feb 20 19:44:58 UTC 2019 - bjorn.lie@xxxxxxxxx
+
+- Update to version 2.65.91:
+ + Remove RFCs from sources.
+
+-------------------------------------------------------------------
+Wed Feb 13 23:52:54 UTC 2019 - bjorn.lie@xxxxxxxxx
+
+- Update to version 2.65.90:
+ + Avoid using threads in SoupRequestFile asynchronous API.
+
+-------------------------------------------------------------------
+Wed Feb 6 22:01:59 UTC 2019 - bjorn.lie@xxxxxxxxx
+
+- Fix translation-update-upstream call, needed after update of
+ translation-update-upstream in distro.
+
+-------------------------------------------------------------------
+Mon Jan 21 11:42:39 UTC 2019 - bjorn.lie@xxxxxxxxx
+
+- Update to version 2.65.2:
+ + Remove autotools build system and change to meson by default.
+ + Many fixes to Meson.
+ + Improvements to the continuous integration infrastructure
+ + Make sure SoupSession features are not disposed until all
+ pending messages are processed.
+ + Updated translations.
+
+-------------------------------------------------------------------
+Thu Jan 3 22:41:48 UTC 2019 - bjorn.lie@xxxxxxxxx
+
+- Update to version 2.65.1:
+ + Added MTLMv2 responses support.
+ + Many fixes to the meson build system.
+ + Remove Visual Studio project files.
+ + Enable VAPI by default.
+ + New strict header field parameter parsing API.
+ + Code cleanups.
+ + Updated translations.
+- Drop meson and apidocs beconds and conditionals, fixed upstream.
+
+-------------------------------------------------------------------

Old:
----
libsoup-2.64.2.tar.xz

New:
----
libsoup-2.66.0.tar.xz

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ libsoup.spec ++++++
--- /var/tmp/diff_new_pack.cqaXnk/_old 2019-04-03 09:25:32.683745424 +0200
+++ /var/tmp/diff_new_pack.cqaXnk/_new 2019-04-03 09:25:32.683745424 +0200
@@ -1,7 +1,7 @@
#
# spec file for package libsoup
#
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -16,24 +16,16 @@
#


-# Meson is currently (2.63.92) generating wrong capability provision,
-# libsoup-2.4.so.0() when libsop-2.4.so.1() is expected,
-# see https://gitlab.gnome.org/GNOME/libsoup/issues/9
-%bcond_with meson
-# API docs are currently (2.63.91) failing with meson,
-# see https://gitlab.gnome.org/GNOME/libsoup/issues/8, the issue is
-# fixed already. At next released tarball remove this conditional and
-# enable docs.
-%bcond_without apidocs
Name: libsoup
-Version: 2.64.2
+Version: 2.66.0
Release: 0
Summary: HTTP client/server library for GNOME
License: LGPL-2.1-or-later
Group: Development/Libraries/GNOME
URL: https://wiki.gnome.org/Projects/libsoup
-Source:
https://download.gnome.org/sources/libsoup/2.64/%{name}-%{version}.tar.xz
+Source0:
https://download.gnome.org/sources/libsoup/2.66/%{name}-%{version}.tar.xz
Source99: baselibs.conf
+
BuildRequires: glib-networking
BuildRequires: meson
BuildRequires: pkgconfig
@@ -42,6 +34,7 @@
BuildRequires: pkgconfig(glib-2.0) >= 2.38.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.38.0
BuildRequires: pkgconfig(gobject-introspection-1.0) >= 0.9.5
+BuildRequires: pkgconfig(gtk-doc) >= 1.20
BuildRequires: pkgconfig(krb5)
BuildRequires: pkgconfig(libpsl) >= 0.20
BuildRequires: pkgconfig(libxml-2.0)
@@ -49,9 +42,6 @@
BuildRequires: pkgconfig(vapigen)
# We do not need these dependencies needed only for tests.
#BuildRequires: apache2-mod_php5 php5-xmlrpc
-%if %{with apidocs}
-BuildRequires: pkgconfig(gtk-doc) >= 1.20
-%endif

%description
Libsoup is an HTTP client/server library for GNOME. It uses GObjects
@@ -125,35 +115,22 @@

%prep
%autosetup -p1
-translation-update-upstream
+translation-update-upstream po libsoup

%build
-%if %{with meson}
%meson \
-Dgssapi=true \
-Dkrb5_config='%{_libexecdir}/mit/bin/krb5-config' \
-Dvapi=true \
- -Ddoc=%{?with_apidocs:true}%{!?with_apidocs:false}
+ -Ddoc=true \
+ %{nil}
%meson_build

%check
%meson_test
-%else
-%configure \
- --disable-static \
- --enable-introspection \
- --with-gssapi \
- --with-krb5-config=%{_libexecdir}/mit/bin/krb5-config
-%make_build
-%endif

%install
-%if %{with meson}
%meson_install
-%else
-%make_install
-rm %{buildroot}/%{_libdir}/*.*a
-%endif
%find_lang %{name} %{?no_lang_C}

%post 2_4-1 -p /sbin/ldconfig
@@ -174,10 +151,7 @@
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libsoup-gnome-2.4
-%if %{with apidocs}
-# Currently (2.63.91) failing with meson:
%doc %{_datadir}/gtk-doc/html/libsoup-2.4
-%endif
%{_datadir}/gir-1.0/Soup-2.4.gir
%{_datadir}/gir-1.0/SoupGNOME-2.4.gir
%dir %{_datadir}/vala/vapi/

++++++ libsoup-2.64.2.tar.xz -> libsoup-2.66.0.tar.xz ++++++
++++ 140234 lines of diff (skipped)


< Previous Next >
This Thread
  • No further messages